<template>
  <div>
    <v-row>
      <v-col v-if="this.percentageImo !== 100" md="8" offset-md="2">
        <div class="breadcrumb">
          <span style="cursor: pointer" @click="$router.push({ name: 'home' })"
            >Inicio</span
          >
          <span class="ml-4">></span>
          <span class="ml-4" style="color: #999999"
            >Encuesta Índice de Madurez Organizacional</span
          >
        </div>
        <div class="title mt-5">Encuesta Índice de Madurez Organizacional</div>
        <div class="subtitle">
          Responde estas preguntas para identificar el estado de madurez de tu
          organización y descubrir qué tan preparada está para enfrentar los
          procesos de innovación e integración de tecnología en la economía
          actual.
        </div>
        <div class="subtitle-bold">
          Indica tu calificación sobre las actividades que se hacen o no en la
          empresa, considerando una escala de 1 a 5, donde 1 es la nota más baja
          y 5 la más alta.
        </div>
        <answers-list class="mt-4" />
      </v-col>
      <v-col v-else>
        <div
          class="d-flex justify-center align-center flex-column"
          style="height: 100%"
        >
          <v-progress-circular
            indeterminate
            color="#7319D5"
            size="60"
            width="6"
          />
        </div>
      </v-col>
    </v-row>
  </div>
</template>

<script>
import { mapGetters, mapActions } from "vuex";
import AnswersList from "@/components/survey/AnswersList";
export default {
  components: {
    AnswersList,
  },
  data() {
    return {
      userId: localStorage.getItem("userId"),
    };
  },
  async created() {
    await this.surveyComplete(this.userId);
    this.surveyCompletion();
  },
  methods: {
    ...mapActions("DigitalTransformationStore", ["surveyComplete"]),
    surveyCompletion() {
      if (this.percentageImo === 100) {
        this.$router.push({ name: "dashboard-imo" });
      }
    },
  },
  computed: {
    ...mapGetters("DigitalTransformationStore", ["percentageImo"]),
  },
};
</script>
<style lang="css" scoped>
.breadcrumb {
  text-align: center;
  font-size: 16px;
  font-family: Roboto Condensed;
  color: #7319d5;
}
.title {
  font-family: "Josefin Sans";
  font-style: normal;
  font-weight: normal;
  font-size: 25px;
  line-height: 150%;
  color: #333333;
  text-align: center;
}
.subtitle {
  font-family: "Roboto Condensed";
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  line-height: 24px;
  color: #333333;
  text-align: center;
  margin-top: 10px;
}
.subtitle-bold {
  font-family: "Josefin Sans";
  font-style: normal;
  font-weight: 600;
  font-size: 18px;
  line-height: 20px;
  color: #333333;
  text-align: center;
  margin-top: 35px;
}
</style>
